<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__seglcd__enums" kind="group">
    <compoundname>group_seglcd_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__seglcd__enums_1gaf81660a051e97187b6617ae3f709b047" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_status_t</name>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047a3fac00a061e1cd84f5e0e13289944cb7" prot="public">
          <name>CY_SEGLCD_SUCCESS</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047a7c0638d12efd7e724155b9d294180f84" prot="public">
          <name>CY_SEGLCD_BAD_PARAM</name>
          <initializer>= CY_SEGLCD_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>A bad parameter was passed (display/font pointer is NULL, position is out of display area, etc.) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047aee87e164149b0785c8295599f1ef278e" prot="public">
          <name>CY_SEGLCD_BAD_PIXEL</name>
          <initializer>= CY_SEGLCD_ID | CY_PDL_STATUS_ERROR | 0x02UL</initializer>
          <briefdescription>
<para>The specified pixel value is wrong or the pixel is specified as 'not connected' in the display pixMap array. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047a40edd061a75318ebe2e19bf8439ae62c" prot="public">
          <name>CY_SEGLCD_BAD_CHAR</name>
          <initializer>= CY_SEGLCD_ID | CY_PDL_STATUS_ERROR | 0x04UL</initializer>
          <briefdescription>
<para>The specified character (or at least one of characters in the specified string) is not supported by the specified font. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047a3be520e54e3c8c08d9475bce04536ca0" prot="public">
          <name>CY_SEGLCD_EXCEED</name>
          <initializer>= CY_SEGLCD_ID | CY_PDL_STATUS_WARNING | 0x08UL</initializer>
          <briefdescription>
<para>The string (length) or number (amount of dec/hex digits) exceeds the display limits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaf81660a051e97187b6617ae3f709b047a0300021e5ab748dc488cface2d90229b" prot="public">
          <name>CY_SEGLCD_CUSTOM</name>
          <initializer>= CY_SEGLCD_ID | CY_PDL_STATUS_INFO | 0x10UL</initializer>
          <briefdescription>
<para>The display/font type is custom (not defined by the <ref kindref="member" refid="group__group__seglcd__enums_1gad9a3f6a9bdb312ad774c5e55d5f1847c">cy_en_seglcd_disp_t</ref>). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_status_t: </bold><linebreak />SegLCD driver error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="406" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="388" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="389" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1gab22a15df01ec018165a1a7e812f70bb0" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_speed_t</name>
        <enumvalue id="group__group__seglcd__enums_1ggab22a15df01ec018165a1a7e812f70bb0a40ab3d2e383afd394814b78b98fa9cfb" prot="public">
          <name>CY_SEGLCD_SPEED_LOW</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>Low Speed mode, works in Active, Sleep and DeepSleep power modes. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggab22a15df01ec018165a1a7e812f70bb0a280e1ebe0dce993105ffd2d6209055bb" prot="public">
          <name>CY_SEGLCD_SPEED_HIGH</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>High Speed mode, works in Active and Sleep power modes. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_speed_t: </bold><linebreak />SegLCD block speed mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="413" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="409" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="410" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1ga4e8bfe5d2149ea8d82ac609367709c95" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_lsclk_t</name>
        <enumvalue id="group__group__seglcd__enums_1gga4e8bfe5d2149ea8d82ac609367709c95abadf62ab3037855e61b95e5a13be87bb" prot="public">
          <name>CY_SEGLCD_LSCLK_LF</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>Low Frequency source, usually connected to ILO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1gga4e8bfe5d2149ea8d82ac609367709c95ad1454e2a5145ebcec950967cd7981ebd" prot="public">
          <name>CY_SEGLCD_LSCLK_MF</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>Middle Frequency source, usually connected to CLK_MF, <ref kindref="compound" refid="group__group__sysclk__mf__funcs">Medium Frequency Domain Clock</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_lsclk_t: </bold><linebreak />SegLCD block low speed mode clock source selection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="420" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="416" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="417" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1ga255aa427b265f88cc6e618cdc5491248" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_wave_t</name>
        <enumvalue id="group__group__seglcd__enums_1gga255aa427b265f88cc6e618cdc5491248abcd6f7af5e4246b340be76a8497ed936" prot="public">
          <name>CY_SEGLCD_TYPE_A</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>Type A - Each frame addresses each COM pin only once with a balanced (DC=0) waveform. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1gga255aa427b265f88cc6e618cdc5491248a5c1a7cd720aedee901d6527dd617f57b" prot="public">
          <name>CY_SEGLCD_TYPE_B</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>Type B - Each frame addresses each COM pin twice in a sequence with a positive and negative waveform that together are balanced (DC=0). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_wave_t: </bold><linebreak />SegLCD driving waveform type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="429" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="423" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="424" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1gaff012223bec16a8c88dfdb39bd304893" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_drive_t</name>
        <enumvalue id="group__group__seglcd__enums_1ggaff012223bec16a8c88dfdb39bd304893a1e4f051430063f293bdfc4ddbe32a27f" prot="public">
          <name>CY_SEGLCD_PWM</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>PWM mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggaff012223bec16a8c88dfdb39bd304893a98d2e892e080eacd3e73a7f66d27e120" prot="public">
          <name>CY_SEGLCD_CORRELATION</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>Digital Correlation mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_drive_t: </bold><linebreak />SegLCD driving mode configuration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="436" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="432" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="433" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1ga2b57420866b0307ca04c1e033790661c" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_bias_t</name>
        <enumvalue id="group__group__seglcd__enums_1gga2b57420866b0307ca04c1e033790661cae3143c272b9a06fb3437aaead460f55c" prot="public">
          <name>CY_SEGLCD_BIAS_HALF</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>1/2 Bias. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1gga2b57420866b0307ca04c1e033790661cafb163fc401ad471f6e34a80db1e7817e" prot="public">
          <name>CY_SEGLCD_BIAS_THIRD</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>1/3 Bias. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1gga2b57420866b0307ca04c1e033790661ca3bac132675f4842763ee46417d83f3a1" prot="public">
          <name>CY_SEGLCD_BIAS_FOURTH</name>
          <initializer>= 0x2UL</initializer>
          <briefdescription>
<para>1/4 Bias (not supported for <ref kindref="member" refid="group__group__seglcd__enums_1ggab22a15df01ec018165a1a7e812f70bb0a40ab3d2e383afd394814b78b98fa9cfb">CY_SEGLCD_SPEED_LOW</ref> mode in MXLCD_ver1). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1gga2b57420866b0307ca04c1e033790661cab17c55acd4eecf5ec3c81390c68f2341" prot="public">
          <name>CY_SEGLCD_BIAS_FIFTH</name>
          <initializer>= 0x3UL</initializer>
          <briefdescription>
<para>1/5 Bias (not supported for <ref kindref="member" refid="group__group__seglcd__enums_1ggab22a15df01ec018165a1a7e812f70bb0a40ab3d2e383afd394814b78b98fa9cfb">CY_SEGLCD_SPEED_LOW</ref> mode in MXLCD_ver1). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_bias_t: </bold><linebreak />SegLCD PWM bias selection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="445" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="439" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="440" />
      </memberdef>
      <memberdef id="group__group__seglcd__enums_1gad9a3f6a9bdb312ad774c5e55d5f1847c" kind="enum" prot="public" static="no">
        <name>cy_en_seglcd_disp_t</name>
        <enumvalue id="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cac660b5c60c7dc831a436c914f4cfc9c4" prot="public">
          <name>CY_SEGLCD_BAR</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Bar Graph / Dial display. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847ca79a408d3cfb19f29f0cc34ca132d4d68" prot="public">
          <name>CY_SEGLCD_7SEG</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>Seven-segment display. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847caa996630fb5f54b7ec308435a47d0616c" prot="public">
          <name>CY_SEGLCD_14SEG</name>
          <initializer>= 14U</initializer>
          <briefdescription>
<para>Fourteen-segment display. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cafd6573660be76086be95d54dbb01367e" prot="public">
          <name>CY_SEGLCD_16SEG</name>
          <initializer>= 16U</initializer>
          <briefdescription>
<para>Sixteen-segment display. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__seglcd__enums_1ggad9a3f6a9bdb312ad774c5e55d5f1847cae8cdc28a1a67b99875e43ce5bf5e1b66" prot="public">
          <name>CY_SEGLCD_5X8DM</name>
          <initializer>= 40U</initializer>
          <briefdescription>
<para>Five-by-eight dot matrix display. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_seglcd_disp_t: </bold><linebreak />SegLCD segment display types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="455" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="448" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="449" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>